<div *ngIf="loading">
  <app-loader></app-loader>
</div>
<div class="animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <div class="card card-accent-success">
        <div class="card-header">
          <h4 class="card-title mb-0 font-weight-bold">DAFTAR KONFEDERASI</h4>
        </div>
        <div class="card-body">
          <div class="row">
            <!--<div class="col-sm-9 form-inline">-->
              <!--<label class="col-form-label mr-1">Menunjukkan </label>-->
              <!--<select (change)="doGetListKonfederasi()" class="form-control" [(ngModel)]="itemsPerPage">-->
                <!--<option value="10">10</option>-->
                <!--<option value="25">25</option>-->
                <!--<option value="50">50</option>-->
                <!--<option value="100">100</option>-->
              <!--</select>-->
              <!--<label class="ml-1"> Data</label>-->
            <!--</div>-->
            <div class="col-sm-4">
              <div class="input-group">
                <div class="input-group-prepend">
                  <div class="input-group-text"><i class="fa fa-search"></i> </div>
                  <input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" type="text" placeholder="Pencarian...">
                </div>
              </div>
            </div>
            <div class="col-sm-5"></div>
            <div class="col-sm-3">
              <button class="pull-right btn btn-success" data-toggle="modal" (click)="doOpenFormAdd(); addModal.show();">
                <i class="icon-plus"></i> Tambah Konfederasi Baru</button>
            </div><br><br>
            <!--<div class="col-sm-6">-->
            <!--<div class="controls">-->
            <!--<div class="input-group">-->
            <!--<input id="appendedInputButton" [(ngModel)]="filterText" class="form-control" size="16" type="text" placeholder="Pencarian...">-->
            <!--<span class="input-group-append">-->
            <!--<button class="btn btn-success" type="button"><i class="fa fa-search"></i> Cari </button>-->
            <!--</span>-->
            <!--</div>-->
            <!--</div>-->
            <!--</div>-->
          </div><br>
          <div *ngIf="listKonfederasi | filter: filterText as list">
            <table class="table table-bordered table-striped table-sm table-responsive-sm">
              <thead>
              <tr class="font-xs">
                <th class="text-center align-middle">#</th>
                <th class="text-center align-middle" (click)="sort('kodeKonfederasi')">Kode Konfederasi
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'kodeKonfederasi',
                                    'fa-sort-asc': (column == 'kodeKonfederasi' && isDesc),
                                    'fa-sort-desc': (column == 'kodeKonfederasi' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('namaKonfederasi')">Nama Konfederasi
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'namaKonfederasi',
                                    'fa-sort-asc': (column == 'namaKonfederasi' && isDesc),
                                    'fa-sort-desc': (column == 'namaKonfederasi' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('alamatKonfederasi')">Alamat Konfederasi
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'alamatKonfederasi',
                                    'fa-sort-asc': (column == 'alamatKonfederasi' && isDesc),
                                    'fa-sort-desc': (column == 'alamatKonfederasi' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('teleponKonfederasi')">Telepon
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'teleponKonfederasi',
                                    'fa-sort-asc': (column == 'teleponKonfederasi' && isDesc),
                                    'fa-sort-desc': (column == 'teleponKonfederasi' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('emailKonfederasi')">Email
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'emailKonfederasi',
                                    'fa-sort-asc': (column == 'emailKonfederasi' && isDesc),
                                    'fa-sort-desc': (column == 'emailKonfederasi' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle" (click)="sort('registrasiKonfederasi')">Tanggal Registrasi
                  <i class="fa pull-right" [ngClass]="{'fa-sort': column != 'registrasiKonfederasi',
                                    'fa-sort-asc': (column == 'registrasiKonfederasi' && isDesc),
                                    'fa-sort-desc': (column == 'registrasiKonfederasi' && !isDesc) }"
                     aria-hidden="true">
                  </i>
                </th>
                <th class="text-center align-middle">Aksi</th>
              </tr>
              </thead>
              <tbody *ngIf="!listKonfederasi || listKonfederasi.length===0 || list.length===0">
              <tr>
                <td colspan="8" class="text-center">Tidak Ada Data</td>
              </tr>
              </tbody>
              <tbody>
              <tr class="text-center font-xs" *ngFor="let data of list | orderBy: {property: column, direction: direction}; let i=index;">
                <td>{{ (currentPage - 1) * itemsPerPage + (i + 1) }}</td>
                <td>{{ data.kodeKonfederasi }}</td>
                <td class="text-left">{{ data.namaKonfederasi }}</td>
                <td>{{ data.alamatKonfederasi }}</td>
                <td>{{ data.teleponKonfederasi }}</td>
                <td>{{ data.emailKonfederasi }}</td>
                <td>{{ data.registrasiKonfederasi | date: 'dd MMM yyyy' }}</td>
                <td>
                  <button class="btn btn-success btn-sm" data-toggle="modal" (click)="setSelectedKonfederasi(data); doOpenFormEdit(); addModal.show();"><i class="icon-pencil"></i> Edit</button>
                  <!--<button class="btn btn-danger btn-sm ml-1"><i class="icon-trash"></i> </button>-->
                </td>
              </tr>
              </tbody>
            </table>
            <!--<p class="text-muted font-italic pull-left">Menampilkan {{(currentPage - 1)*itemsPerPage + 1}} hingga {{currentPage*itemsPerPage}} dari {{totalItems}}</p>-->
            <!--<div class="pull-right mt-auto">-->
              <!--<pagination *ngIf="list.length !== 0"  [totalItems]="totalItems" [maxSize]="5" [rotate]="true" [boundaryLinks]="true"-->
                          <!--[(ngModel)]="currentPage" [itemsPerPage]="itemsPerPage" (pageChanged)="pageChanged($event)">-->
              <!--</pagination>-->
            <!--</div>-->
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<div bsModal #addModal="bs-modal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog modal-success" role="document" style="width: 80%;">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title"><i class="icon-pencil"></i> {{modalTitle}} Konfederasi</h4>
        <button type="button" class="close" (click)="addModal.hide()" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form action="" method="post" class="form-horizontal" [formGroup]="formBuilder">
          <div class="row">
            <div class="col-sm-10">
              <div class="col-sm-12">
                <label class="col-form-label">Kode Konfederasi</label>
                <input type="text" id="kodeKonfederasi" class="form-control" formControlName="kodeKonfederasi" placeholder="Kode Konfederasi">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-10">
              <div class="col-sm-12">
                <label class="col-form-label">Nama Konfederasi</label>
                <input type="text" id="namaKonfederasi" class="form-control" formControlName="namaKonfederasi" placeholder="Nama Konfederasi">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-10">
              <div class="col-sm-12">
                <label class="col-form-label">Alamat Konfederasi</label>
                <input type="text" id="alamatKonfederasi" class="form-control" formControlName="alamatKonfederasi" placeholder="Alamat Konfederasi">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-10">
              <div class="col-sm-12">
                <label class="col-form-label">Telepon</label>
                <input type="text" id="teleponKonfederasi" class="form-control" formControlName="teleponKonfederasi" placeholder="Telepon Konfederasi">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-10">
              <div class="col-sm-12">
                <label class="col-form-label">Email</label>
                <input type="text" id="emailKonfederasi" class="form-control" formControlName="emailKonfederasi" placeholder="Email Konfederasi">
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-10">
              <div class="col-sm-12">
                <label class="col-form-label">Tanggal Registrasi</label>
                <input class="form-control" id="registrasiKonfederasi" type="date" placeholder="date" formControlName="registrasiKonfederasi">
              </div>
            </div>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" (click)="addModal.hide()">Tutup</button>
        <button type="button" class="btn btn-success" (click)="addModal.hide(); submit()" [disabled]="formBuilder.invalid">
          <i class="fa fa-save"></i> Submit</button>
      </div>
    </div>
  </div>
</div>

